com.holonplatform.vaadin7.navigator

## Class ViewNavigator.ViewNavigationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.holonplatform.vaadin7.navigator.ViewNavigator.ViewNavigationException

- All Implemented Interfaces:
    Serializable
  Enclosing interface:
    ViewNavigator

      public static class ViewNavigator.ViewNavigationException
      extends RuntimeException

  Exception related to `View` navigation errors.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewNavigationException(String navigationState, String message)` Constructor with error message
    `ViewNavigationException(String navigationState, String message, Throwable cause)` Constructor with error message and nested exception
    `ViewNavigationException(String navigationState, Throwable cause)` Constructor with nested exception

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<String>` | `getNavigationState()` Get the navigation state to which this exception is related, if available

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewNavigationException

          public ViewNavigationException(String navigationState,
                                         String message)

      Constructor with error message
      Parameters:
        `navigationState` - Navigation state
        `message` - Error message

    - #### ViewNavigationException

          public ViewNavigationException(String navigationState,
                                         Throwable cause)

      Constructor with nested exception
      Parameters:
        `navigationState` - Navigation state
        `cause` - Nested exception

    - #### ViewNavigationException

          public ViewNavigationException(String navigationState,
                                         String message,
                                         Throwable cause)

      Constructor with error message and nested exception
      Parameters:
        `navigationState` - Navigation state
        `message` - Error message
        `cause` - Nested exception

  - ### Method Detail

    - #### getNavigationState

          public Optional<String> getNavigationState()

      Get the navigation state to which this exception is related, if available
      Returns:
        the navigation state

Copyright © 2019 The Holon Platform. All rights reserved.